---
default_install_hook_types: [pre-push]
repos:
  - repo: https://github.com/antonbabenko/pre-commit-terraform
    rev: v1.81.0
    hooks:
      - id: terraform_fmt
      - id: terraform_validate
      - id: terraform_tflint
        args:
          - "--args=--minimum-failure-severity=warning"
          - "--args=--only=terraform_deprecated_index"
          - "--args=--only=terraform_unused_declarations"
          - "--args=--only=terraform_comment_syntax"
          - "--args=--only=terraform_documented_outputs"
          - "--args=--only=terraform_documented_variables"
          - "--args=--only=terraform_typed_variables"
          - "--args=--only=terraform_module_pinned_source"
          - "--args=--only=terraform_naming_convention"
          - "--args=--only=terraform_required_version"
          - "--args=--only=terraform_required_providers"
          - "--args=--only=terraform_standard_module_structure"
          - "--args=--only=terraform_workspace_remote"
      - id: terraform_docs
        args:
          - --hook-config=--path-to-file=README.md # Valid UNIX path. I.e. ../TFDOC.md or docs/README.md etc.
          - --hook-config=--add-to-existing-file=true # Boolean. true or false
          - --hook-config=--create-file-if-not-exist=true # Boolean. true or false
